> ## Documentation Index
> Fetch the complete documentation index at: https://docs.korint.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Send transactional email



## OpenAPI

````yaml /openapi.json post /notifications/emails/send
openapi: 3.0.0
info:
  title: Korint Documentation
  description: Korint API Documentation
  version: 1.0.0
  contact: {}
servers: []
security:
  - bearerAuth: []
tags: []
paths:
  /notifications/emails/send:
    post:
      tags:
        - notifications
        - debug
      summary: Send transactional email
      operationId: NotificationController_sendEmail
      parameters: []
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/SendEmailInput'
      responses:
        '400':
          content:
            application/json:
              schema:
                anyOf:
                  - $ref: '#/components/schemas/InvalidProductErrorDto'
              examples:
                INVALID_PRODUCT:
                  $ref: '#/components/schemas/InvalidProductErrorDto'
          description: ''
components:
  schemas:
    SendEmailInput:
      type: object
      properties:
        templateId:
          type: string
        receivers:
          type: array
          items:
            $ref: '#/components/schemas/Receiver'
        bccEmail:
          type: string
        attachments:
          maxItems: 5
          type: array
          items:
            $ref: '#/components/schemas/EmailAttachment'
        messageData:
          maxItems: 20
          type: array
          items:
            $ref: '#/components/schemas/EmailData'
      required:
        - templateId
        - receivers
        - attachments
        - messageData
    InvalidProductErrorDto:
      type: object
      properties:
        code:
          type: string
          enum:
            - INVALID_PRODUCT
        message:
          type: string
          example: Invalid product {product}
        details:
          $ref: '#/components/schemas/InvalidProductDetailsDto'
      required:
        - code
        - message
        - details
    Receiver:
      type: object
      properties:
        email:
          type: string
        identifier:
          type: string
      required:
        - email
        - identifier
    EmailAttachment:
      type: object
      properties:
        name:
          type: string
        data:
          type: string
      required:
        - name
        - data
    EmailData:
      type: object
      properties:
        key:
          type: string
        value:
          type: string
      required:
        - key
        - value
    InvalidProductDetailsDto:
      type: object
      properties:
        tenant:
          type: string
        product:
          type: string
        expectedProduct:
          type: string
      required:
        - product

````